PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List forms GETCreate a form POSTGenerate a form definition POSTGet a form GETUpdate a form PATCHDelete a form DELETEList submissions for a form GETSubmit a form as a member POSTGet a form submission GETUpdate a form submission PATCHDelete a form submission DELETE
Forms

Update a form

PATCH
/forms/{formId}

Authorization

x-api-key<token>

In: header

Path Parameters

formId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/forms/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "name": "string",    "slug": "string",    "publicSlug": "string",    "status": "DRAFT",    "description": "string",    "fields": {      "sections": [        {          "id": "string",          "title": "string",          "description": "string",          "fields": [            {              "id": "string",              "slug": "string",              "type": "string",              "label": "string",              "required": true,              "placeholder": "string",              "helperText": "string",              "options": [                {                  "value": "string",                  "label": "string",                  "reveals": {}                }              ],              "defaultValue": "string",              "description": "string"            }          ]        }      ]    },    "settings": {},    "showInCommunity": true,    "submissionCount": 0  }}

Get a form GET

Previous Page

Delete a form DELETE

Next Page

name?string
description?string
slug?string
publicSlug?string
status?string

Value in

  • "DRAFT"
  • "PUBLISHED"
fields?

A form's pages and fields. Answer every field except section (a heading) in MemberFormSubmissionWrite.fields.

settings?